Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.asf
Class StdServerSessionPoolFactory

    java.lang.Object
      org.jboss.jms.asf.StdServerSessionPoolFactory

All Implemented Interfaces:
  Serializable, ServerSessionPoolFactory

public class StdServerSessionPoolFactory
extends Object
implements ServerSessionPoolFactory, Serializable

An implementation of ServerSessionPoolFactory.

Created: Fri Dec 22 09:47:41 2000

Version:
  $Revision: 1.12 $
Author:
  Peter Antman ., Hiram Chirino .
See Also:
  Serialized Form

Constructor Summary
`StdServerSessionPoolFactory()`

Method Summary
`String` | `getName()` Get the name of the factory.
`javax.jms.ServerSessionPool` | `getServerSessionPool(javax.jms.Connection con, int minSession, int maxSession, long keepAlive, boolean isTransacted, int ack, boolean useLocalTX, javax.jms.MessageListener listener)` Create a new `ServerSessionPool`.
`org.jboss.tm.XidFactoryMBean` | `getXidFactory()` The `getXidFactory` method returns the XidFactory that server sessions will use to get xids..
`void` | `setName(String name)` Set the name of the factory.
`void` | `setXidFactory(org.jboss.tm.XidFactoryMBean xidFactory)` The `setXidFactory` method supplies the XidFactory that server sessions will use to get Xids to control local transactions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StdServerSessionPoolFactory

    public StdServerSessionPoolFactory()

Method Detail

### setName

    public void setName(String name)

  Description copied from interface: `ServerSessionPoolFactory`
  Set the name of the factory.

  Specified by:
    `setName` in interface `ServerSessionPoolFactory`
  Parameters:
    `name` - The name of the factory.

### getName

    public String getName()

  Description copied from interface: `ServerSessionPoolFactory`
  Get the name of the factory.

  Specified by:
    `getName` in interface `ServerSessionPoolFactory`
  Returns:
    The name of the factory.

### setXidFactory

    public void setXidFactory(org.jboss.tm.XidFactoryMBean xidFactory)

  Description copied from interface: `ServerSessionPoolFactory`
  The `setXidFactory` method supplies the XidFactory that server sessions will use to get Xids to control local transactions.

  Specified by:
    `setXidFactory` in interface `ServerSessionPoolFactory`
  Parameters:
    `xidFactory` - a `XidFactoryMBean` value

### getXidFactory

    public org.jboss.tm.XidFactoryMBean getXidFactory()

  Description copied from interface: `ServerSessionPoolFactory`
  The `getXidFactory` method returns the XidFactory that server sessions will use to get xids..

  Specified by:
    `getXidFactory` in interface `ServerSessionPoolFactory`
  Returns:
    a `XidFactoryMBean` value

### getServerSessionPool

    public javax.jms.ServerSessionPool getServerSessionPool(javax.jms.Connection con,
                                                            int minSession,
                                                            int maxSession,
                                                            long keepAlive,
                                                            boolean isTransacted,
                                                            int ack,
                                                            boolean useLocalTX,
                                                            javax.jms.MessageListener listener)
                                                     throws javax.jms.JMSException

  Description copied from interface: `ServerSessionPoolFactory`
  Create a new `ServerSessionPool`.

  Specified by:
    `getServerSessionPool` in interface `ServerSessionPoolFactory`
  Parameters:
    `con` - the jms connection
    `minSession` - the minimum number of sessions
    `maxSession` - the maximum number of sessions
    `keepAlive` - the time to keep sessions alive
    `isTransacted` - whether the pool is transacted
    `ack` - the acknowledegement method
    `listener` - the listener
    `useLocalTX` - whether to use local transactions
  Returns:
    A new pool.
  Throws:
    `javax.jms.JMSException` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.